### Hierarchy

- RC4

## Index

### Constructors

- constructor

### Methods

- _swap
- mix
- next

## Constructors

### constructor

- new RC4(seed: string): RC4

- - Defined in sound/rng.ts:39
  constructor

  #### Parameters

  - ##### seed: string

    A string to seed the generator.

  #### Returns RC4

## Methods

### _swap

- _swap(i: number, j: number): void

- - Defined in sound/rng.ts:57

  #### Parameters

  - ##### i: number

  - ##### j: number

  #### Returns void

### mix

- mix(seed: string): void

- - Defined in sound/rng.ts:67

  Mix additional entropy into this generator.

  #### Parameters

  - ##### seed: string

  #### Returns void

### next

- next(): number

- - Defined in sound/rng.ts:80

  #### Returns number

  The next byte of output from the generator.

Generated using TypeDoc